"""add report id iocs_v2 pkey

Revision ID: 3fe41b8275a2
Revises: d51edf5acbee
Create Date: 2018-06-25 08:39:21.247792

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "3fe41b8275a2"
down_revision = "d51edf5acbee"
branch_labels = None
depends_on = None


def upgrade():
    op.execute("ALTER TABLE iocs_v2 DROP CONSTRAINT iocs_v2_pkey CASCADE")
    op.create_primary_key(
        "iocs_v2_pkey", "iocs_v2", ["id", "report_id", "feed_id", "feed_version"]
    )


def downgrade():  # pragma: no cover
    op.execute("ALTER TABLE iocs_v2 DROP CONSTRAINT iocs_v2_pkey CASCADE")
    op.create_primary_key("iocs_v2_pkey", "iocs_v2", ["id", "feed_id", "feed_version"])
